SF.net SVN: morphix: [2230] trunk/scripts-main/server

[email protected]
Newsgroups gmane.linux.morphix.cvs
Message-ID <[email protected]>
Revision: 2230
Author:   alextreme
Date:     2006-05-18 01:38:38 -0700 (Thu, 18 May 2006)
ViewCVS:  http://svn.sourceforge.net/morphix/?rev=2230&view=rev

Log Message:
-----------
  * updating morphix-init-server to work for 0.5-based mainmods

Modified Paths:
--------------
    trunk/scripts-main/server/menu.sh
    trunk/scripts-main/server/servers/apache

Added Paths:
-----------
    trunk/scripts-main/server/include.sh
    trunk/scripts-main/server/main_module
    trunk/scripts-main/server/servers/svn
Added: trunk/scripts-main/server/include.sh
===================================================================
--- trunk/scripts-main/server/include.sh	                        (rev 0)
+++ trunk/scripts-main/server/include.sh	2006-05-18 08:38:38 UTC (rev 2230)
@@ -0,0 +1,42 @@
+#! /bin/bash
+# $Id: include.sh 2065 2005-11-28 03:43:30Z alextreme $
+# You shouldn't need to change anything below this line
+
+PATH="/bin:/sbin:/usr/bin:/usr/sbin:/usr/X11R6/bin:/usr/local/bin:."
+CMDLINE="$(cat /proc/cmdline)"
+WINDOWMANAGER="sh /morphix/menu.sh"
+USER="morph"
+BGIMAGE=/morphix/background.png
+XServer=XFree86
+
+stringinstring(){
+  case "$2" in *$1*) return 0;; esac
+  return 1
+}
+
+getbootparam(){
+  stringinstring " $1=" "$CMDLINE" || return 1
+  result="${CMDLINE##*$1=}"
+  result="${result%%[         ]*}"
+  echo "$result"
+  return 0
+}
+
+if [ -e "/cdrom/background.png" ]; then
+        BGIMAGE="/cdrom/background.png"
+fi
+
+if [ -n "$(getbootparam wm)" ]; then
+        WINDOWMANAGER="$(getbootparam wm)"
+fi                                                                              
+
+if [ -n "$(getbootparam background)" ]; then 
+        BGIMAGE="$(getbootparam background)"
+fi
+
+if [ -n "$(getbootparam username)" ]; then
+	USER="$(getbootparam username)"
+fi
+
+HOME="/home/$USER/"
+

Added: trunk/scripts-main/server/main_module
===================================================================
--- trunk/scripts-main/server/main_module	                        (rev 0)
+++ trunk/scripts-main/server/main_module	2006-05-18 08:38:38 UTC (rev 2230)
@@ -0,0 +1,3 @@
+Server
+A Morphix mainmodule containing all the hosting and development daemons.
+

Modified: trunk/scripts-main/server/menu.sh
===================================================================
--- trunk/scripts-main/server/menu.sh	2006-05-17 22:20:05 UTC (rev 2229)
+++ trunk/scripts-main/server/menu.sh	2006-05-18 08:38:38 UTC (rev 2230)
@@ -1,5 +1,5 @@
 #!/bin/sh
-dialog --title "Main Menu" --nocancel --ok-label "Ok" --backtitle "Server configuration" --menu "Select a service or action. sshd has been started, but no access is allowed without a root password. You can use a shell by using alt-f2 etc. For Remote Web-based control use Webmin" 18 60 8 password "Set Root password" webmin "Activate Webmin (port 10000)" install "Install to harddisk" netconf "Configure static networkadapters" firewall "Activate Firewall/NAT" apache "Activate Apache (port 80)" bind "Activate Bind (port 53)" mysql "Activate Mysql (port 3306)" samba "Activate Samba/SWAT (port 901)" ftp "Activate ProFTPD (port 21)" exim "Activate Exim/Mail (port 25)" cyrus "Activate Cyrus/IMAP (port 143)" netsaint "Activate Netsaint" squid "Activate Squid" cvs "Actiavte CVS/pserver" dhcpd "Actiavet Dhcpd" news "Activate NNTP" cups "Activate CUPS" ldap "Activate LDAP" nfs "Activate NFS" irc "Activate IRCD" 2>/tmp/menuitem.$$
+xdialog --title "Main Menu" --nocancel --ok-label "Ok" --backtitle "Server configuration" --menu "Select a service or action. sshd has been started, but no access is allowed without a root password. You can use a shell by using alt-f2 etc. For Remote Web-based control use Webmin" 18 60 8 password "Set Root password" webmin "Activate Webmin (port 10000)" install "Install to harddisk" netconf "Configure static networkadapters" firewall "Activate Firewall/NAT" apache "Activate Apache2 (port 80)" bind "Activate BIND (port 53)" mysql "Activate Mysql (port 3306)" samba "Activate Samba/SWAT (port 901)" ftp "Activate ProFTPD (port 21)" exim "Activate Exim/SMTP (port 25)" cyrus "Activate Cyrus/IMAP (port 143)" netsaint "Activate Netsaint" squid "Activate Squid" svn "Activate SVN" dhcpd "Activate DHCPD" news "Activate NNTP" cups "Activate CUPS" ldap "Activate LDAP" nfs "Activate NFS" irc "Activate IRCD" 2>/tmp/menuitem.$$
 
 menuitem=`cat /tmp/menuitem.$$`
 
@@ -8,7 +8,7 @@
 case $menuitem in
 password) sh /morphix/servers/password;;
 webmin) sh /morphix/servers/webmin;;
-install) sh /morphix/gtkinstaller/morphixinstaller --ui cmdline;;
+install) /usr/sbin/morphixinstaller;;
 netconf) sh /morphix/servers/netconf;;
 firewall) sh /morphix/servers/firewall;;
 apache) sh /morphix/servers/apache;;
@@ -20,7 +20,7 @@
 cyrus) sh /morphix/servers/cyrus;;
 netsaint) sh /morphix/servers/netsaint;;
 squid) sh /morphix/servers/squid;;
-cvs) sh /morphix/servers/cvs;;
+svn) sh /morphix/servers/svn;;
 dhcpd) sh /morphix/servers/dhcpd;;
 news) sh /morphix/servers/news;;
 cups) sh /morphix/servers/cups;;

Modified: trunk/scripts-main/server/servers/apache
===================================================================
--- trunk/scripts-main/server/servers/apache	2006-05-17 22:20:05 UTC (rev 2229)
+++ trunk/scripts-main/server/servers/apache	2006-05-18 08:38:38 UTC (rev 2230)
@@ -1,3 +1,3 @@
 #!/bin/sh
 
-/etc/init.d/apache start
+/etc/init.d/apache2 start

Added: trunk/scripts-main/server/servers/svn
===================================================================
--- trunk/scripts-main/server/servers/svn	                        (rev 0)
+++ trunk/scripts-main/server/servers/svn	2006-05-18 08:38:38 UTC (rev 2230)
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+svnserve -d
+


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.



-------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.